The current workflow for adding annotations with iLogic is quite good, but it is not always intuitive how to get the exact result concerning placement, addended text, etc.
It would be outstanding if we could right click on annotations such as dimensions, balloons, etc. and extract the code to add/create them just as they appear on the drawing, something like this:
Dim Sheet_1 = ThisDrawing.Sheets.ItemByName("Sheet:1")
Dim VIEW2 = Sheet_1.DrawingViews.ItemByName("VIEW2")
Dim genDims = Sheet_1.DrawingDimensions.GeneralDimensions
Dim Face0 = VIEW2.GetIntent("Face0")
Dim Face1 = VIEW2.GetIntent("Face1")
Dim Point1 = VIEW2.SheetPoint(1.2, 0.5)
Dim linDim1 = genDims.AddLinear("Dimension 1", Point1 , Face0, Face1)
linDim1.NativeEntity.Text.FormattedText = "<DimensionValue/> OA"
Dim Sheet_1 = ThisDrawing.Sheets.ItemByName("Sheet:1")
Dim VIEW1 = Sheet_1.DrawingViews.ItemByName("VIEW1")
Dim Pt1 = VIEW1.SheetPoint(1.4, 0.4)
Dim Face = VIEW1.GetIntent("BBBB", "Face1",
intent := PointIntentEnum.kMidPointIntent, nearPoint := Pt1)
Dim balloon1 = Sheet_1.Balloons.Add("Balloon1", {Pt1}, Face)
Show More